Subject: bug#27991: 26.0.50; TRAMP on OSX to Windows: smbclient not available

From: James Nguyen <[email-masked]>
Date: Sat, 12 Aug 2017 09:47:44 -0700

Michael Albinus <[email-masked]> writes:

Thanks, I will look into gvfs at some point.

> Alan Third <[email-masked]> writes:
>
> Hi Alan,
>
>> On Mon, Aug 07, 2017 at 05:07:45PM -0700, James Nguyen wrote:
>>> To clarify, at this point, I'm not sure if it's a problem on my end, a
>>> known issue, a problem with Emacs (unlikely), on Apple, etc.
>>> 
>>> If someone with a recent version of OSX can chime in, that'd be great!
>>
>> I don’t have smbclient either, and a quick look about the ’net implies
>> it’s not been available on macOS since at least 2012.
>>
>> Homebrew have removed their samba package because modern versions
>> don’t build on macOS, so that’s not even an option.
>
> So we can assume that Samba cannot be used on macOS.
>
>> It seems the only way to access SMB shares is to mount them.
>
> Well, Tramp offers another way to access SMB shares via
> tramp-gvfs.el. But this requires, that GVFS and D-Bus are installed on
> macOS. Don't know whether this is possible.
>
> Best regards, Michael.